#####################################################################
#  @(#)makefile32.inc	1.6 
#
#  Copyright (c) 1995-1997, Willows Software Inc.  All rights reserved.
#
#  Sample makefile driver, it is included from the individual makefile.
#  This shows how to build an arbitrary source.  See the samples
#  directory for example uses of this file.
#
#####################################################################

include $(TWINDIR)/makeinclude/Makefile.$(TARGET)$(COMPILER)

DEBUG   = -g

WINRT	= -ltwin32 $(EXTRALIB)
CFLAGS	= $(TWIN_SYSINC) $(TWIN_WININC) -DWIN32 $(DEBUG) $(GFLAG) $(PLATFORM)
LDFLAGS	= $(TWIN_WINLIB) $(TWIN_SYSLIB) 

all:	$(project)

$(project):   $(components) $(libraries) 
	${CC} ${LDFLAGS} -o $(project) $(components) $(linklibs) $(WINRT)

$(resource).res.c: $(resource).rc $(resource_depend)
	rc $(TWIN_WININC) -DWIN32 -o $@ $(resource).rc

clean: clean-libs
	rm -f *.o $(project) \
	   $(components) \
	   $(resource).res.c \
	   core

